Subject: B20.1:question on using bunzip2 and tar under NT 4.0 Japanese SP3
From: [email-masked] (Masatomo Ouchi)

7 Dec 1998 19:02:16 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-2022-jp
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

I can't do bunzip2 nor tar,
 B20.1 under NT4.0 Japanese SP3.

File size of ecosSWtools-981021-src_tar.bz2 is 
  21773289 bytes ( ls -lF shows )
I think no error occured during HTTPing/FTPing.

(01)if done, following messages are displayed,

--- START ---
bash-2.02$ bunzip2 -c ecosSWtools-981021-src_tar.bz2

bunzip2: Data integrity error when decompressing.
        Input file = ecosSWtools-981021-src_tar.bz2, output file =
(stdout)

It is possible that the compressed file(s) have become corrupted.
You can use the -tvv option to test integrity of such files.

You can use the `bzip2recover' program to *attempt* to recover
data from undamaged sections of corrupted files.
--- E N D ---

(02) if bunzip2-tvv, following messages are displayed,
--- START ---
bash-2.02$ bunzip2 -tvv ecosSWtools-981021-src_tar.bz2
  ecosSWtools-981021-src_tar.bz2:
    [1: huff+mtf
ecosSWtools-981021-src_tar.bz2: data integrity (CRC) error in data

You can use the `bzip2recover' program to *attempt* to recover
data from undamaged sections of corrupted files.
--- E N D ---

(03) if bzip2recover, following messages are displayed,
--- START ---
bash-2.02$ bzip2recover ecosSWtools-981021-src_tar.bz2
bzip2recover v0.9.0: extracts blocks from damaged .bz2 files.
bzip2recover: searching for block boundaries ...
   block 1 runs from 80 to 1607306

   block 112 runs from 173213459 to 174186225
bzip2recover: splitting into blocks
   writing block 1 to `rec0001ecosSWtools-981021-src_tar.bz2' ...

   writing block 112 to `rec0112ecosSWtools-981021-src_tar.bz2' ...
bzip2recover: I/O error reading `ecosSWtools-981021-src_tar.bz2',
possible reason follows.
bzip2recover: No such file or directory
bzip2recover: warning: output file(s) may be incomplete.
--- E N D ---

(04)And it seems that "tar" does not work well, too.
On the same condition,
I tryed "tar" to another file 
that I think gotten correctly in HTTPing/FTPing.

--- START ---
bash-2.02$ tar -tvf b19_X11R6_3_tar.tar
tar: Hmm, this doesn't look like a tar archive
tar: Skipping to next file header
tar: Skipping to next file header
tar: Only read 8244 bytes from archive b19_X11R6_3_tar.tar
tar: Error is not recoverable: exiting now
--- E N D ---

Why?
--
  [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".